<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Vokiel.com - The Small Calendar</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8;" />
	<meta name="Author" content="Robert Mikołajuk" />
	<meta http-equiv="Cache-Control" content="no-store" />
	<link rel="stylesheet" type="text/css" href="style.css" media="all" />
</head>
<body>
<h1 style="margin: 0 auto; display: block; text-align: center;">Vokiel.com - The Small Calendar</h1>
<div id="vokiel_small_calendar">
<?php
$langs = array(
	'pl' => array(
		'months' => array(1=>'Sty',2=>'Lut',3=>'Mar',4=>'Kwi',5=>'Maj',6=>'Cze',7=>'Lip',8=>'Sie',9=>'Wrz',10=>'Paź',11=>'Lis',12=>'Gru'),
		'days' => array(1=>'Pon',2=>'Wt',3=>'Śr',4=>'Czw',5=>'Pt',6=>'Sob',7=>'Nie'),
		'incorrectYear' => 'Podany rok nie spełnia warunków: 1901 - 2038.',
		'giveYear'=>'Podaj Rok'
	),
	'en' => array(
		'months' => array(1=>'Jan',2=>'Feb',3=>'Mar',4=>'Apr',5=>'May',6=>'Jun',7=>'Jul',8=>'Aug',9=>'Sep',10=>'Oct',11=>'Nov',12=>'Dec'),
		'days' => array(1=>'Mon',2=>'Tue',3=>'Wed',4=>'Thu',5=>'Fri',6=>'Sat',7=>'Sun'),
		'incorrectYear' => 'Selected year is incorrect, should be between 1901 and 2038.',
		'giveYear'=>'Type year'
	)
);
$lang = 'pl';
if (!empty($_GET['lang']) && array_key_exists($_GET['lang'],$langs)){
	$lang = $_GET['lang'];
}
$lang = $langs[$lang];
$year = date('Y');
if (!empty($_GET['year'])){
	if ((int)$_GET['year']<1902 || (int)$_GET['year']>2037){
		echo '<div>'.$lang['incorrectYear'].'</div>';
	}else{
		$year = (int)$_GET['year'];
	}
}
?>
<ul>	
<?php 
	require_once 'VokielSmallCalendar.class.php';
	$VsC = new VokielSmallCalendar($year,$lang);
	$miesiace = $VsC->getCalendar();
	foreach ($miesiace as $mc => $dni){
		echo '<li class="days_'.$dni['daysCount'].'"><strong>'.$dni['montShort'].'</strong>';
			foreach($dni['weekdays'] as $subId => $dzien){
				echo '<span>'.$dzien.'</span>';
			}
		echo '</li>'."\n";
		if ($mc==7){
			echo '<li class="datesTable">';
			echo '<div class="giveYear">
			<p>'.$lang['giveYear'].'<br /><small>(1902-2037)</small></p>
			<input type="text" id="year" name="year" maxlength="4" accept="0123456789" value="'.$year.'"  />
			<img src="accept.gif" id="accept" />';
            if (!empty($langs) && is_array($langs)){
				echo '<select id="lang">';
				foreach  ($langs as $lng => $lngarray){
					$selected = ($lng==$_GET['lang'])? 'selected="selected"' : '';
					echo '<option value="'.$lng.'" '.$selected.'>'.$lng.'</option>';
				}
				echo '</select>';
			}
			echo '</div>';
			echo $VsC->getDatesTable().'</li>';			
		}
	}
	?>
</ul>
</div>
<br /><br /><a href="thesmallcalendar.zip" title="The Small Calendar">download</a>
<script src="http://code.jquery.com/jquery-1.4.1.min.js" type="text/javascript" charset="utf-8"></script>
<script src="VokielSmallCalendar.js" type="text/javascript" charset="utf-8"></script>
</body>
</html>